export const consoleCommand = async (program) => program.command("console", "Start the SST Console", (yargs) => yargs, async () => {
    const { blue } = await import("colorette");
    const { useRuntimeServer } = await import("../../runtime/server.js");
    const { useLocalServer } = await import("../local/server.js");
    const { printHeader } = await import("../ui/header.js");
    const { clear } = await import("../terminal.js");
    await Promise.all([
        useRuntimeServer(),
        useLocalServer({
            key: "",
            cert: "",
            live: false,
        }),
    ]);
    clear();
    printHeader({ console: true, hint: "ready!" });
});
