import { SSTConstruct } from "../Construct.js";
import { Secret } from "../Secret.js";
export interface FunctionBindingProps {
    clientPackage: string;
    permissions: Record<string, string[]>;
    variables: Record<string, {
        type: "plain";
        value: string;
    } | {
        type: "secret";
    } | {
        type: "secret_reference";
        secret: Secret;
    } | {
        type: "site_url";
        value: string;
    }>;
}
export declare function bindEnvironment(c: SSTConstruct): Record<string, string>;
export declare function bindParameters(c: SSTConstruct): void;
export declare function bindPermissions(c: SSTConstruct): Record<string, string[]>;
export declare function bindType(c: SSTConstruct): {
    clientPackage: string;
    variables: string[];
} | undefined;
export declare function getReferencedSecrets(c: SSTConstruct): Secret[];
export declare function getEnvironmentKey(c: SSTConstruct, prop: string): string;
export declare function getParameterPath(c: SSTConstruct, prop: string): string;
export declare function getParameterFallbackPath(c: SSTConstruct, prop: string): string;
export declare function placeholderSecretValue(): string;
export declare function placeholderSecretReferenceValue(secret: Secret): string;
