import { Context } from "../../context/context.js";
import { SSTError } from "../../util/error.js";
export class WrongActorError extends SSTError {
}
export function createActors() {
    const ctx = Context.create();
    return {
        useActor: ctx.use,
        provideActor: ctx.provide,
        assertActor(type) {
            const actor = ctx.use();
            if (actor.type === type)
                return actor.properties;
            throw new WrongActorError(`Expected actor type "${type} but got "${actor.type}"`);
        },
    };
}
